Skip to content
Start here

Get Account Billing History

GET/accounts/{account_id}/billing/history

Gets the billing history for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
Query ParametersExpand Collapse
page: optional number

Page number of paginated results.

minimum1
per_page: optional number

Number of items per page.

minimum1
status: optional string

Filter billing history by status.

ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, action, amount, 12 more }
id: optional string

Billing history item identifier.

action: optional string

The billing item action.

amount: optional number

The amount associated with this billing item.

amount_to_pay: optional number

The amount remaining to pay.

currency: optional string

The currency of the billing item.

description: optional string

The billing item description.

external_invoice_id: optional string

The external invoice identifier.

hosted_invoice_url: optional string

URL to the hosted invoice.

invoice_id: optional string

The associated invoice identifier.

occurred_at: optional string

When the billing event occurred.

formatdate-time
receipt_id: optional string

The associated receipt identifier.

source: optional string

The source of the billing item.

source_invoice_id: optional string

The source invoice identifier.

status: optional string

The status of the billing item.

type: optional string

The billing item type.

success: true

Whether the API call was successful

result_info: optional object { count, page, per_page, total_count }
count: optional number

Total number of results for the requested service

page: optional number

Current page within paginated list of results

per_page: optional number

Number of results per page of results

total_count: optional number

Total results available without any search parameters

Get Account Billing History

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/billing/history \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "amount_to_pay": 0,
      "currency": "USD",
      "description": "The billing item description",
      "external_invoice_id": "external_invoice_id",
      "hosted_invoice_url": "hosted_invoice_url",
      "invoice_id": "invoice_id",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "receipt_id": "receipt_id",
      "source": "source",
      "source_invoice_id": "source_invoice_id",
      "status": "status",
      "type": "charge"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "amount_to_pay": 0,
      "currency": "USD",
      "description": "The billing item description",
      "external_invoice_id": "external_invoice_id",
      "hosted_invoice_url": "hosted_invoice_url",
      "invoice_id": "invoice_id",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "receipt_id": "receipt_id",
      "source": "source",
      "source_invoice_id": "source_invoice_id",
      "status": "status",
      "type": "charge"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}